Bug 1667319 (CVE-2019-6131) - CVE-2019-6131 mupdf: Stack overflow in function svg_run_element, svg_run_use_symbol, svg_run_use of file svg_run.c
Summary: CVE-2019-6131 mupdf: Stack overflow in function svg_run_element, svg_run_use_...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2019-6131
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1667372
Blocks: 1667350
TreeView+ depends on / blocked
 
Reported: 2019-01-18 07:23 UTC by Dhananjay Arunesh
Modified: 2019-09-29 15:05 UTC (History)
1 user (show)

Fixed In Version: mupdf 1.14.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:06:30 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-01-18 07:23:11 UTC
There is a stack overflow bug in function svg_run_element, svg_run_use_symbol, svg_run_use of file svg_run.c in Artifex MuPDF.

Upstream Issue:
https://bugs.ghostscript.com/show_bug.cgi?id=700442


Upstream patch:
http://git.ghostscript.com/?p=mupdf.git;a=patch;h=c8f7e48ff74720a5e984ae19d978a5ab4d5dde5b

Comment 1 Dhananjay Arunesh 2019-01-18 07:30:33 UTC
Created python-PyMuPDF tracking bugs for this issue:

Affects: fedora-all [bug 1667321]

Comment 2 Andrej Nemec 2019-01-18 09:49:33 UTC
Created mupdf tracking bugs for this issue:

Affects: fedora-all [bug 1667372]

Comment 3 Product Security DevOps Team 2019-07-12 13:06:30 UTC
ARRAY(0x558ebdc2e048)


Note You need to log in before you can comment on or make changes to this bug.